<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as BaseVerifier;
use Closure;

class VerifyCsrfToken extends BaseVerifier
{
    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [
        //
        "wechat",
        "notify",
        "admin/Base/Attachment/*",
        "addons/furniture/public/*",
        "addons/furniture/public/?route=admin/Base/Attachment/*",
        "addons/furniture/public/?*",
        "addons/furniture/*",
        "addons/*",
        "?route=admin/Base/Attachment/*"
    ];

    public function handle($request, Closure $next)
    {
        // 如果是来自 api 域名，就跳过检查

        $QUERY_STRING = explode('/', $_SERVER['QUERY_STRING']);
        print_r($QUERY_STRING);die;
        if ($_SERVER['SERVER_NAME'] != config('api.domain'))
        {
            return parent::handle($request, $next);
        }

        return $next($request);
    }
}
